Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset
Class StrutturaOperativaSet

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaset.StrutturaOperativaSet

    public class StrutturaOperativaSet

extends java.lang.Object

Dati di dettaglio della struttura operativa.

Field Summary
`private java.lang.Integer` | `codiceDIMT` Codice del Dipartimento di Medicina Trasfusionale.
`private java.lang.String` | `codiceIstituto` Codice identificativo della tipologia di struttura operativa.
`private int` | `codStrutturaOperativa` Codice identificativo della tipologia di struttura operativa.
`private ElencoUnitaOperativeSet` | `elencoUnita` Elenco delle unità operative appartententi alla struttura operativa.
`private java.lang.Integer` | `numeroDistretto` Numero del distretto.
`private java.lang.Integer` | `progressivoStabilimento` Progressivo dello stabilimento ospedaliero.

Constructor Summary
`StrutturaOperativaSet()`

Method Summary
`java.lang.Integer` | `getCodiceDIMT()`
`java.lang.String` | `getCodiceIstituto()`
`int` | `getCodStrutturaOperativa()`
`ElencoUnitaOperativeSet` | `getElencoUnita()`
`java.lang.Integer` | `getNumeroDistretto()`
`java.lang.Integer` | `getProgressivoStabilimento()`
`void` | `setCodiceDIMT(java.lang.Integer codiceDIMT)`
`void` | `setCodiceIstituto(java.lang.String codiceIstituto)`
`void` | `setCodStrutturaOperativa(int codStrutturaOperativa)`
`void` | `setElencoUnita(ElencoUnitaOperativeSet elencoUnita)`
`void` | `setNumeroDistretto(java.lang.Integer numeroDistretto)`
`void` | `setProgressivoStabilimento(java.lang.Integer progressivoStabilimento)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codStrutturaOperativa

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codStrutturaOperativa

  Codice identificativo della tipologia di struttura operativa. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie.

### codiceIstituto

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codiceIstituto

  Codice identificativo della tipologia di struttura operativa. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie. Il campo è obbligatorio solo nel caso in cui la struttura operativa è uno stabilimento ospedaliero.

### progressivoStabilimento

    @Facets(totalDigits=2L)
    @MinOccurs(value=0L)
    private java.lang.Integer progressivoStabilimento

  Progressivo dello stabilimento ospedaliero. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie. Il campo è obbligatorio solo nel caso in cui la struttura operativa è uno stabilimento ospedaliero.

### numeroDistretto

    @Facets(totalDigits=2L)
    @MinOccurs(value=0L)
    private java.lang.Integer numeroDistretto

  Numero del distretto. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie. Il campo è obbligatorio sono nel caso in cui la struttura operativa è un distretto socio sanitario.

### codiceDIMT

    @Facets(totalDigits=2L)
    @MinOccurs(value=0L)
    private java.lang.Integer codiceDIMT

  Codice del Dipartimento di Medicina Trasfusionale. I valori previsti sono quelli definiti dall’area Anagrafe delle Strutture Sanitarie. Il campo è obbligatorio sono nel caso in cui la struttura operativa è un DIMT.

### elencoUnita

    @MinOccurs(value=1L)
    private ElencoUnitaOperativeSet elencoUnita

  Elenco delle unità operative appartententi alla struttura operativa.

Constructor Detail

### StrutturaOperativaSet

    public StrutturaOperativaSet()

Method Detail

### setElencoUnita

    public void setElencoUnita(ElencoUnitaOperativeSet elencoUnita)

### getElencoUnita

    public ElencoUnitaOperativeSet getElencoUnita()

### setCodStrutturaOperativa

    public void setCodStrutturaOperativa(int codStrutturaOperativa)

### getCodStrutturaOperativa

    public int getCodStrutturaOperativa()

### setCodiceIstituto

    public void setCodiceIstituto(java.lang.String codiceIstituto)

### getCodiceIstituto

    public java.lang.String getCodiceIstituto()

### setProgressivoStabilimento

    public void setProgressivoStabilimento(java.lang.Integer progressivoStabilimento)

### getProgressivoStabilimento

    public java.lang.Integer getProgressivoStabilimento()

### setNumeroDistretto

    public void setNumeroDistretto(java.lang.Integer numeroDistretto)

### getNumeroDistretto

    public java.lang.Integer getNumeroDistretto()

### setCodiceDIMT

    public void setCodiceDIMT(java.lang.Integer codiceDIMT)

### getCodiceDIMT

    public java.lang.Integer getCodiceDIMT()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD